%define         gedadocdir %{_docdir}/gEDA
%define         real_ver   1.2.0

Name:           geda-gnetlist
Version:        20070902
Release:        1%{?dist}

Summary:        Netlister for the gEDA project
Group:          Applications/Engineering
License:        GPLv2

URL:            http://www.geda.seul.org/tools/gnetlist/index.html
Source:         http://geda.seul.org/release/v1.2/%{relver}/%{name}-%{real_ver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgeda-devel, libstroke-devel, geda-symbols, groff gawk
Requires:       geda-symbols

%description
Gnetlist generates netlists from schematics drawn with gschem
(the gEDA schematic editor). Possible output formats are:
- native
- tango
- spice
- allegro
- PCB
- verilog
and others.

%prep
%setup -q -n %{name}-%{real_ver}

%build

%configure  --with-docdir=%{gedadocdir}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -c -p" install DESTDIR=%{buildroot}

%{__rm} %{buildroot}%{gedadocdir}/readmes/*.txt
install -d %{buildroot}%{gedadocdir}/vams
install -p -m 644 docs/vams/*.txt %{buildroot}%{gedadocdir}/vams

%{__rm} -f  examples/Makefile*
%{__rm} -f  examples/{switcap,vams}/Makefile*
%{__rm} -f  examples/vams/{sch,sym,vhdl}/Makefile*
%{__rm} -f  examples/vams/vhdl/{basic-vhdl,new-vhdl}/Makefile*
chmod 644 examples/vams/vhdl/basic-vhdl/*.vhdl

install -d %{buildroot}%{gedadocdir}/examples
cp -pr examples/* %{buildroot}%{gedadocdir}/examples

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/man
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO examples/
%{_bindir}/gnetlist
%{_bindir}/mk_verilog_syms
%{_bindir}/sch2eaglepos.sh
%{_bindir}/sw2asc
%{_datadir}/gEDA/scheme/gnet*.scm
%{_datadir}/gEDA/system-gnetlistrc
%{_mandir}/man1/gnetlist.*
%{gedadocdir}/vams
%{gedadocdir}/readmes/*
%{gedadocdir}/man/gnetlist.html
%{gedadocdir}/examples/*

%Changelog
* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-2
- mass rebuild for fedora 8 - ppc32

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- new upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-3
- rebuild for fc6 and devel

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- new upstream release on 2007 02 16 support for FC-5

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16
- dropped patch geda-gnetlist-20061020-backend-list.patch

* Mon Jan 08 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-2
- rebuilt under compat-guile-16
- gnetlist patch that adds "-g help" option
- added groff to BR

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- Upstream release 20061020

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-2
- Removed ownership of directory %%{gedadocdir}/readmes/

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Timestamps for install
- dropped libpng-devel as BR since libgeda-devel already requires it

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- recompiled with libgdgeda 2.0.9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0
- gnetlist.txt removed

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209
- some doc files added

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- man directory changed, some corrections, previous patch no more needed

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0
- bulild directory changed, patched for improper rc file location
- scheme directory added

* Mon Mar 7 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added '*' as manpage extension since Mandrake compresss it with
bzip2 while redhat use gzip
- rebuilt with latest rpm

* Fri Jul  7 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added ales' patch (gnetlist-20000704a.patch)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated %description
- removed (empty) 'NEWS' file from docs
- added 'gschem2pcb' executable
- updated to version 20000704

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
